Bug 110213 - GPG Signing of new messages broken
Summary: GPG Signing of new messages broken
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: evolution   
(Show other bugs)
Version: 1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact:
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-11-17 05:51 UTC by Gawain Lynch
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-11-19 07:27:27 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Gawain Lynch 2003-11-17 05:51:51 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114

Description of problem:
When trying to sign or encrypt a new e-mail message Evolution fails
with "secret key not available" when infact the key is available and
gpg works as expected from the command line.

Version-Release number of selected component (if applicable):
evolution-1.4.5-7

How reproducible:
Always

Steps to Reproduce:
1.  Setup gpg keys etc.
(http://webber.dewinter.com/gnupg_howto/english/GPGMiniHowto.html)
2.  Compose new message
3.  From the Security menu select 'PGPSign'
4.  Click 'Send'
    

Actual Results:  The following error is rasied and the message can not
be sent or signed:

    Failed to GPG sign: Broken pipe

    gpg: skipped `~/.gnupg/secring.gpg': secret key not available
    gpg: signing failed: secret key not available

Expected Results:  GPG should sign the message and Evolution should
send it

Additional info:


Note You need to log in before you can comment on or make changes to this bug.